Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit
Class jEdit.JEditPropertyManager

    java.lang.Object
      org.gjt.sp.jedit.jEdit.JEditPropertyManager

All Implemented Interfaces:
  IPropertyManager

Enclosing class:
  jEdit

    public static class jEdit.JEditPropertyManager

extends java.lang.Object
implements IPropertyManager

Constructor Summary
`jEdit.JEditPropertyManager()`

Method Summary
`java.lang.String` | `getProperty(java.lang.String name)` Returns a String property

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### jEdit.JEditPropertyManager

    public jEdit.JEditPropertyManager()

Method Detail

### getProperty

    public java.lang.String getProperty(java.lang.String name)

  Description copied from interface: `IPropertyManager`
  Returns a String property

  Specified by:
    `getProperty` in interface `IPropertyManager`
  Parameters:
    `name` - the name of the property
  Returns:
    the string property or null if it doesn't exist

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD